Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class SplitPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SplitPaneUI

Direct Known Subclasses:
  BasicSplitPaneUI, MultiSplitPaneUI

    public abstract class SplitPaneUI

extends ComponentUI

Pluggable look and feel interface for JSplitPane.

Constructor Summary
`SplitPaneUI()`

Method Summary
`abstract void` | `finishedPaintingChildren(JSplitPane jc, Graphics g)` Messaged after the JSplitPane the receiver is providing the look and feel for paints its children.
`abstract int` | `getDividerLocation(JSplitPane jc)` Returns the location of the divider.
`abstract int` | `getMaximumDividerLocation(JSplitPane jc)` Returns the maximum possible location of the divider.
`abstract int` | `getMinimumDividerLocation(JSplitPane jc)` Returns the minimum possible location of the divider.
`abstract void` | `resetToPreferredSizes(JSplitPane jc)` Messaged to relayout the JSplitPane based on the preferred size of the children components.
`abstract void` | `setDividerLocation(JSplitPane jc, int location)` Sets the location of the divider to location.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplitPaneUI

    public SplitPaneUI()

Method Detail

### resetToPreferredSizes

    public abstract void resetToPreferredSizes(JSplitPane jc)

  Messaged to relayout the JSplitPane based on the preferred size of the children components.

### setDividerLocation

    public abstract void setDividerLocation(JSplitPane jc,
                                            int location)

  Sets the location of the divider to location.

### getDividerLocation

    public abstract int getDividerLocation(JSplitPane jc)

  Returns the location of the divider.

### getMinimumDividerLocation

    public abstract int getMinimumDividerLocation(JSplitPane jc)

  Returns the minimum possible location of the divider.

### getMaximumDividerLocation

    public abstract int getMaximumDividerLocation(JSplitPane jc)

  Returns the maximum possible location of the divider.

### finishedPaintingChildren

    public abstract void finishedPaintingChildren(JSplitPane jc,
                                                  Graphics g)

  Messaged after the JSplitPane the receiver is providing the look and feel for paints its children.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.